org.apache.felix.gogo.runtime

## Class Expression.Assignment

- java.lang.Object
- - org.apache.felix.gogo.runtime.Expression.Operator
  - - org.apache.felix.gogo.runtime.Expression.Assignment

Enclosing class:
  Expression

    public abstract class Expression.Assignment
    extends Expression.Operator

Marker class for assignment operators. Those operators need a variable on the left hand side.

### Constructor Summary

Constructors
Constructor and Description
`Assignment(String assign, int precedence)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `eval(Map<String,Object> variables, Object v1, Object v2)`

### Methods inherited from class org.apache.felix.gogo.runtime.Expression.Operator

`eval, eval, getOper, getPrecedence, isLeftAssoc, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Assignment

    public Assignment(String assign,
                      int precedence)

### Method Detail

#### eval

    public Object eval(Map<String,Object> variables,
                       Object v1,
                       Object v2)

Overrides:
  `eval` in class `Expression.Operator`